#============================================================================
# prog_ksh.mk

# rule to create .ksh from .ksh.in  we can't use GNU make magic here
# to make things transparent.

include $(top_srcdir)/snippets/substitute_config_variables.mk

%.ksh : Makefile $(srcdir)/%.ksh.in
	rm -f $@
	$(do_subst) $(srcdir)/$@.in > $@

# rule to "remove" the .ksh designation.  need this so we know it compiles ok
% : %.ksh
	cp $< $@
	chmod +x $@
